package org.nst.pasientlink.authenticator.admin.command;

/**
 * <p>Title: LogoutCommand </p>
 * <p>Description: logic for LogoutCommand command </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.velocity.context.Context;

public class LogoutCommand extends Command {
    public static final String TEMPLATE_NAME = "request_authentication.vm";    //Name of the Template

    public LogoutCommand( HttpServletRequest req, HttpServletResponse resp )
    {
        super( req, resp );
    }

    /**
     * invalidate session and return to login screen!
     */

   public String exec( Context ctx )
   {
      ctx.put(COMMAND, request.getParameter(COMMAND));
      return TEMPLATE_NAME;
    }
}
